package org.processmining.acceptingpetrinetreductionlayouter.utils;

import java.util.Comparator;

import org.processmining.models.graphbased.directed.petrinet.PetrinetEdge;

public class EdgeComparator implements Comparator<PetrinetEdge<?, ?>> {

	public int compare(PetrinetEdge<?, ?> o1, PetrinetEdge<?, ?> o2) {
		int c = -o1.getSource().getLabel().compareTo(o2.getSource().getLabel());
		if (c == 0) {
			c = -o1.getTarget().getLabel().compareTo(o2.getTarget().getLabel());
		}
		return c;
	}
}
