package org.processmining.acceptingpetrinetreductionlayouter.plugins;

import javax.swing.JComponent;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.acceptingpetrinet.plugins.VisualizeAcceptingPetriNetPlugin;
import org.processmining.acceptingpetrinetreductionlayouter.parameters.LayoutParameters;
import org.processmining.framework.plugin.PluginContext;

public abstract class AbstractVisualizeAcceptingPlugin {

	public abstract LayoutParameters getParameters();
	
	public JComponent visualize(PluginContext context, AcceptingPetriNet net) {
		return (new VisualizeAcceptingPetriNetPlugin()).visualize(context, (new LayoutAcceptingPlugin()).run(context, net, getParameters()));
	}
}
